org.apache.sysds.runtime.controlprogram.parfor.opt

## Class OptTreePlanMappingRuntime

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMapping
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMappingRuntime

    public class OptTreePlanMappingRuntime
    extends OptTreePlanMapping

### Constructor Summary

Constructors
Constructor and Description
`OptTreePlanMappingRuntime()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`Object` `getMappedObject(long id)`
`long` `putMapping(Instruction inst, OptNode n)`
`long` `putMapping(ProgramBlock pb, OptNode n)`
`void` `replaceMapping(ProgramBlock pb, OptNode n)`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMapping

`getMappedParentID, getOptNode`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptTreePlanMappingRuntime

    public OptTreePlanMappingRuntime()

### Method Detail

#### putMapping

    public long putMapping(Instruction inst,
                           OptNode n)

#### putMapping

    public long putMapping(ProgramBlock pb,
                           OptNode n)

#### replaceMapping

    public void replaceMapping(ProgramBlock pb,
                               OptNode n)

#### getMappedObject

    public Object getMappedObject(long id)

#### clear

    public void clear()

Overrides:
  `clear` in class `OptTreePlanMapping`